Page MenuHomePhabricator

Android app doesn't allow search when webview overlaps with an image
Closed, ResolvedPublic

Description

Load any page with image assets. Scroll the window so that the image overlaps the search input box. Tap the search input box. You'll get an image detail page instead of the search input box.


Version: 1.0.0 (Android)
Severity: normal

Details

Reference
bz32319

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:58 PM
bzimport set Reference to bz32319.
Tfinc created this task.Nov 9 2011, 6:11 PM

herman.wong wrote:

hmmm. tried using event.stopPropagation on the search field (searchParam input)
and on the search bar (mainHeader div) but the click/touch event still
activates on the image underneath the search area.

herman.wong wrote:

https://github.com/nitobi/Wikipedia/commit/d92b124b28f162746fba3ba8c8de37887cfa3c32

seems to do the fix this issue, but has a slight side effect where the keyboard hides after the 1st character is typed...

philinje wrote:

Is this fixed? Seems to be gone in RC2.

Was very intermittently reproducable when I was checking it out a few days ago.

This seems to be (mostly?) resolved by this bit in android/platform.js's onDeviceReady:

// this disables the "click-through" of an image under the search bar - but hides the keyboard only on the first character typed...
$('#searchParam').bind('touchstart', function () {     
    $('#searchParam').focus();
    plugins.SoftKeyBoard.show();
    return false; 
} );

However, that appears to be the cause of bug (mumble muble -- there appear to be at least two of them) -- with the focus ring / cursor not appearing on their own when tapping into the search bar.

brion added a comment.Jan 5 2012, 1:27 AM

We have some related issues with the 'W' and search icons -- is there a separate bug for em we can't find? :)

brion added a comment.Jan 6 2012, 12:36 AM

Related issues should be solved by the move over to divs.